Bug 1418043 - [dev-preview-stg] MongoDB - removing memory limit causes failed DC creation
Summary: [dev-preview-stg] MongoDB - removing memory limit causes failed DC creation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Templates
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: XiuJuan Wang
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 16:54 UTC by Vikas Laad
Modified: 2017-06-15 07:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 07:09:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (303.72 KB, image/png)
2017-01-31 16:54 UTC, Vikas Laad
no flags Details

Description Vikas Laad 2017-01-31 16:54:41 UTC
Created attachment 1246368 [details]
screenshot

Description of problem:
Using mongodb-persistent-template template to create Mongo DB Pod, and removing Memory Limit parameter causes Pod to fail with following error

Failed to create MongoDB (Persistent) in project vlaad.
Cannot create deployment config "mongodb". DeploymentConfig in version "v1" cannot be handled as a DeploymentConfig: quantities must match the regular expression '^([+-]?[0-9.]+)([eEinumkKMGTP]*[-+]?[0-9]*)$'.


Version-Release number of selected component (if applicable):
3.4.1.2

How reproducible:
When removed default value from memory limit

Steps to Reproduce:
1. create new project and app using mongodb-persistent-template in console
2. Remove memory limit parameter

Actual results:
Console lets user create the app, but fails later.

Expected results:
Console should show error message and Memory limit should be a required parameter.

Additional info:
See the screenshot.

Comment 1 Vu Dinh 2017-02-01 15:16:08 UTC
PR: https://github.com/openshift/origin/pull/12742/ is merged to fix the issue. The change will be imported into template in Online repo.

Comment 2 Xiaoli Tian 2017-06-15 07:09:36 UTC
OpenShift Online Preview has been decommissioned, go to https://manage.openshift.com/ for using OpenShift Online starter cluster


Note You need to log in before you can comment on or make changes to this bug.